data_model Struct Reference

Data frame object, sued to buid succinct data model. More...

## Public Member Functions

void | optimize ()
| Optimize memory layoput, build index for faster read access.
void | add_layout (size_t plane, bm::bvector<> *bv)
void | add_strand (size_t plane, rsc_vector_u8 *strand)

## Data Fields

layout_vector_type | layout_v
| layout vector
starnds_vector_type | strand_v
| strand planes vector

## Detailed Description

Data frame object, sued to buid succinct data model.

Examples
  xsample08.cpp.

Definition at line 77 of file xsample08.cpp.

## Member Function Documentation

## add_layout()

void data_model::add_layout | ( | size_t | plane,
|  | bm::bvector<> * | bv )

Examples
  xsample08.cpp.

Definition at line 110 of file xsample08.cpp.

References bm::BM_GAP, and layout_v.

Referenced by splice_model().

## add_strand()

void data_model::add_strand | ( | size_t | plane,
|  | rsc_vector_u8 * | strand )

Examples
  xsample08.cpp.

Definition at line 125 of file xsample08.cpp.

References strand_v.

Referenced by splice_model().

## optimize()

void data_model::optimize | ( |  | ) |

Optimize memory layoput, build index for faster read access.

Examples
  xsample08.cpp.

Definition at line 90 of file xsample08.cpp.

References BM_DECLARE_TEMP_BLOCK, layout_v, and strand_v.

Referenced by main().

## Field Documentation

## layout_v

layout_vector_type data_model::layout_v

layout vector

Examples
  xsample08.cpp.

Definition at line 86 of file xsample08.cpp.

Referenced by add_layout(), add_object(), optimize(), print_model(), and splice_model().

## strand_v

starnds_vector_type data_model::strand_v

strand planes vector

Examples
  xsample08.cpp.

Definition at line 87 of file xsample08.cpp.

Referenced by add_strand(), optimize(), print_model(), set_feature_strand(), and splice_model().

The documentation for this struct was generated from the following file:

- xsample08.cpp